#pragma once
#include "ai.hpp"

namespace combat {
  struct RitualAI {
    std::string script;
    ai::State start;
    ai::State original;
    ai::State goal;
    ai::ActionPlan plan;

    RitualAI(std::string script, ai::State start, ai::State goal) :
      script(script), start(start), original(start), goal(goal)
    {
    }

    RitualAI() {};

    void reset();
    bool will_do(std::string name);
    void set_state(std::string name, bool setting);
    void update();
    void dump();
    ai::Action pop();
  };
}
